#!/usr/bin/env python
#
# Find the name of the users in MoinMoin
#
# Author: Lorenzo Sfarra (c) lorenzosfarra@gmail.com

import os

# list of names, useful to check for duplicate entries, too.
names = []

# NOTE!!!!!! You have to launch this script in the data/user directory

for f in os.listdir(os.curdir):
  # Skip some files
  if f != "README" and not f.endswith(".trail"):
    temp = open(f, "r")
    try:
      name = [line for line in temp.readlines() if line.startswith("name=")]
      name = name[0].strip()
      if not name in names:
        # name not present, add to the list
        names.append(name)
      temp.close()
    except IndexError:
      print "skipping", f

# Write the list to a file
f = open("userslist", "w")
for x in names:
  f.write(x + "\n")
  # or you can split the string to remove the "name=" prefix
f.close()
#print the number of users
print len(names)

