# -*- coding: iso-8859-1 -*-
"""
    MoinMoin -  WikiBanner Macro 
    
    @copyright: 2008 Ubuntu - Leo Iannacone <l3on@ubuntu.com>.
"""

from MoinMoin import config, wikiutil

def execute(self, arg):

	wikiBannerComments = {
		'RichiestaRevisioneStilistica': 'Questo articolo non rispetta le regole stilistiche descritte nella pagina <a href="/GuidaWiki/RegoleStilistiche">RegoleStilistiche</a>.',
		'ArticoloIncompleto': 'Questo articolo &egrave incompleto e necessita una revisione dei contenuti.',
		'ArticoloInTraduzione': 'Questo articolo &egrave in fase di traduzione, le informazioni contenute protrebbero essere incomplete o errate.'
	}
	wikiBannerTitles = {
		'RichiestaRevisioneStilistica': 'Richiesta revisione stilistica',
		'ArticoloIncompleto': 'Articolo incompleto',
		'ArticoloInTraduzione': 'Articolo in traduzione'
	}

	# Creat an exeception String
	exceptionString = "Arguments exception -> le opzioni disponibili per la macro WikiBanner sono:\n"
	for key in wikiBannerComments:
     		exceptionString += ("\n'%s': %s\n" %  (key, wikiBannerComments[key]))

	# Some tests on args
	if arg == '':
      		raise Exception(exceptionString)

	if arg not in wikiBannerTitles:
		raise Exception(exceptionString)


	

	self.result = []
	# Creating header
	self.result.append(self.formatter.div(1, css_class="wikiBanner"))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-%s" % arg)))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-top-sx-%s" % arg)))
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-top-dx-%s" % arg)))
	self.result.append(self.formatter.div(0))

	# Creating core

	self.result.append(self.formatter.div(1, css_class=("wikiBanner-core-%s" % arg)))
	self.result.append(self.formatter.span(1))
	self.result.append(self.formatter.text(("%s" % wikiBannerTitles[arg])))
	self.result.append(self.formatter.span(0))
	self.result.append(": %s" % wikiBannerComments[arg])
	self.result.append(self.formatter.div(0))

	
	# Creating footer  
	self.result.append(self.formatter.div(1, css_class=("wikiBanner-bottom-sx-%s" % arg)))
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(1, css_class="wikiBanner-bottom-dx-%s" % arg))
	self.result.append(self.formatter.div(0))
	
	# Closing div wikiBanner-%s and wikiBanner
	self.result.append(self.formatter.div(0))
	self.result.append(self.formatter.div(0))

	return ''.join(self.result) 
