#!/bin/bash

function template()
{
	IMGS_DIR="../../img/WikiBanner"
	NAME=$1
	COLOUR=$2

	echo "
/*
Copyright © 2009 Ubuntu-it - Leo Iannacone <l3on@ubuntu.com>
*/

.wikiBanner-$NAME {
	background-color: $COLOUR
}

.wikiBanner-top-sx-$NAME {
	background-image: url('$IMGS_DIR/$NAME/wikiBanner-top-sx.png');
	background-position: top left;
	height:10px;
	width:10px;
}

.wikiBanner-top-dx-$NAME {
	background-image: url('$IMGS_DIR/$NAME/wikiBanner-top-dx.png');
	background-position: top right;
	height:10px;
	margin-left: 10px;
	margin-top: -10px;
	background-repeat: no-repeat;
	background-color: $COLOUR;
}

.wikiBanner-bottom-sx-$NAME {
	background-image: url('$IMGS_DIR/$NAME/wikiBanner-bottom-sx.png');
	background-position: bottom left;
	height:11px;
	width:10px;
	margin-top: -4px;
	background-color: $COLOUR;
	background-repeat: no-repeat;
}

.wikiBanner-bottom-dx-$NAME	{
	background-image: url('$IMGS_DIR/$NAME/wikiBanner-bottom-dx.png');
	background-position: bottom right;
	height:11px;
	background-repeat: no-repeat;
	margin-left: 10px;
	margin-top: -11px;
	background-color: $COLOUR;
}

.wikiBanner-core-$NAME {
	background-color: $COLOUR;
	text-align:center;
	padding-bottom:3px;
}


.wikiBanner-core-$NAME span{
	font-weight: bold;
}

"
}

BASE="../htdocs/common/css/wiki-banner/"

mkdir -p $BASE

echo "ArticoloIncompleto #a0b8e2
RichiestaRevisioneStilistica #87fa64
" | while read NAME COLOUR ; do template $NAME $COLOUR > $BASE$NAME.css ; done
